Page MenuHomePhabricator

Remove QUnit CompletenessTest
Closed, ResolvedPublic

Description

The CompletenessTest was my attempt at getting a basic code coverage report using run-time inspection instead of static instrumentation.

It was never fully developed, remained somewhat unstable, isn't used by Jenkins or otherwise enabled or encouraged, and its results are not publishable, either. (Only works locally as on the Special:JavaScriptTest HTML view).

The "export" feature for Special:JavaScriptTest introduced in 2014 for Karma and TestSwarm (ba50b3255) lacked support support for loading the CompletenessTest. And when the regular "skinned" mode was deprecated and, eventually, removed last year in 0f9e4ca0f it essentially hasn't been used anymore as far as I can see.

From a Git-wide search I see that various Wikibase repositories still have references to it, so I won't remove it just yet. But it'd be good to know for sure if and how it's being used there. There's no rush behind its removal, but if it's not being used, that I'd rather we remove it from core.

Details

Related Gerrit Patches:

Event Timeline

Krinkle created this task.Jan 12 2017, 10:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 12 2017, 10:29 PM

Wikibase does not actually use it as far as I know. I added basic support to some modules, but didn't even run it myself regularly.

This proposal is selected for the Developer-Wishlist voting round and will be added to a MediaWiki page very soon. To the subscribers, or proposer of this task: please help modify the task description: add a brief summary (10-12 lines) of the problem that this proposal raises, topics discussed in the comments, and a proposed solution (if there is any yet). Remember to add a header with a title "Description," to your content. Please do so before February 5th, 12:00 pm UTC.

Change 336301 had a related patch set uploaded (by Krinkle):
Remove usage of CompletenessTest interface

https://gerrit.wikimedia.org/r/336301

Change 336301 merged by jenkins-bot:
[data-values/value-view] Remove usage of CompletenessTest interface

https://gerrit.wikimedia.org/r/336301

@adrianheine @thiemowmde Can you tag a release for data-values/value-view so that the next Wikidata build will include these changes?

Krinkle assigned this task to thiemowmde.Mar 8 2017, 8:59 PM
Krinkle edited projects, added Wikidata; removed Patch-For-Review.Mar 18 2017, 3:21 AM
Krinkle added a project: DataValues-JavaScript.
Krinkle claimed this task.Mar 24 2017, 9:06 PM

@adrianheine @thiemowmde Can you tag a release for data-values/value-view so that the next Wikidata build will include these changes?

Thanks. This was released as data-values/value-view 0.19.0 (bc77ec2ab5c3dbfafc8a1f9249555c9ced45dc19), and merged into Wikidata with ee92c55a9203d7d0044946c246110539bee4c95e.

This is now unblocked from Wikidata. Next step is removal from MediaWiki core.

Krinkle triaged this task as Medium priority.Mar 24 2017, 9:08 PM

Change 344731 had a related patch set uploaded (by Krinkle):
[mediawiki/core@master] qunit: Remove experimental CompletenessTest feature

https://gerrit.wikimedia.org/r/344731

Krinkle moved this task from Inbox to Doing on the Performance-Team board.
Jdforrester-WMF closed this task as Resolved.Mar 25 2017, 12:48 AM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 344731 merged by jenkins-bot:
[mediawiki/core@master] qunit: Remove experimental CompletenessTest feature

https://gerrit.wikimedia.org/r/344731